<?php

/**
 * Test: NEnvironment configuration.
 *
 * @author     David Grudl
 * @package    Nette
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Factory
{
	static function createService($context, $options)
	{
		TestHelpers::note( 'Factory::createService', __METHOD__ );
		Assert::same( array('anyValue' => 'hello world'), $options );
		return (object) NULL;
	}
}

NEnvironment::loadConfig('config.ini', 'production');
Assert::same(array('Factory::createService'), TestHelpers::fetchNotes());

Assert::same( 'hello world', NEnvironment::getVariable('foo') );

Assert::same( 'hello world', constant('HELLO_WORLD') );

Assert::equal( NArrayHash::from(array(
	'adapter' => 'pdo_mysql',
	'params' => array(
		'host' => 'db.example.com',
		'username' => 'dbuser',
		'password' => 'secret',
		'dbname' => 'dbname',
	),
)), NEnvironment::getConfig('database') );

Assert::true( NEnvironment::isProduction() );
