<?php

/**
 * Test: NMail invalid email addresses.
 *
 * @author     David Grudl
 * @package    Nette\Mail
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$mail = new NMail();

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	// From
	$mail->setFrom(\'John Doe <doe@example. com>\');
'), 'InvalidArgumentException', "Email address 'doe@example. com' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	$mail->setFrom(\'John Doe <>\');
'), 'InvalidArgumentException', "Email address '' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	$mail->setFrom(\'John Doe <doe@examplecom>\');
'), 'InvalidArgumentException', "Email address 'doe@examplecom' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	$mail->setFrom(\'John Doe <doe@examplecom>\');
'), 'InvalidArgumentException', "Email address 'doe@examplecom' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	$mail->setFrom(\'John Doe\');
'), 'InvalidArgumentException', "Email address 'John Doe' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	$mail->setFrom(\'doe;@examplecom\');
'), 'InvalidArgumentException', "Email address 'doe;@examplecom' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	// addReplyTo
	$mail->addReplyTo(\'@\');
'), 'InvalidArgumentException', "Email address '@' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	// addTo
	$mail->addTo(\'@\');
'), 'InvalidArgumentException', "Email address '@' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	// addCc
	$mail->addCc(\'@\');
'), 'InvalidArgumentException', "Email address '@' is not valid.");


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('mail'=>$mail)).'], EXTR_REFS);
	// addBcc
	$mail->addBcc(\'@\');
'), 'InvalidArgumentException', "Email address '@' is not valid.");
